@Echo off
Echo Installing Microsoft.Cryptography libraries into the GAC

gacutil -i Microsoft.Cryptography.dll
if errorlevel 1 GOTO :ERROR

gacutil -i Microsoft.Cryptography.BouncyCastle.dll
if errorlevel 1 GOTO :ERROR

gacutil -i Microsoft.Cryptography.WCF.dll
if errorlevel 1 GOTO :ERROR

gacutil -i Microsoft.Cryptography.Samples.RSAManaged.dll
if errorlevel 1 GOTO :ERROR

gacutil -i BouncyCastle.Crypto.dll
if errorlevel 1 GOTO :ERROR

certinstall MY CURRENTUSER TestUser01.pfx anfang?01
if errorlevel 1 GOTO :ERROR

certinstall ROOT CURRENTUSER TestUser01.cer
if errorlevel 1 GOTO :ERROR

Goto :SUCCESS

:ERROR
Echo Error installing one of the Microsoft.Cryptography libraries into the GAC
Goto :END
:SUCCESS
Echo Completed SUCCESSFULLY
:END
