@Echo off
Echo Installing Microsoft.Cryptography libraries into the GAC

gacutil -u Microsoft.Cryptography
if errorlevel 1 GOTO :ERROR

gacutil -u Microsoft.Cryptography.BouncyCastle
if errorlevel 1 GOTO :ERROR

gacutil -u Microsoft.Cryptography.WCF
if errorlevel 1 GOTO :ERROR

gacutil -u Microsoft.Cryptography.Samples.RSAManaged
if errorlevel 1 GOTO :ERROR

gacutil -u BouncyCastle.Crypto.dll
if errorlevel 1 GOTO :ERROR

Goto :SUCCESS

:ERROR
Echo Error installing one of the Microsoft.Cryptography libraries into the GAC
Goto :END
:SUCCESS
Echo Completed SUCCESSFULLY
:END
