using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.Cryptography
{
    /// <summary>
    /// Signature Description class for the MD5-Hashalgorithm, which will call the RSAManaged class.
    /// </summary>
    public class RSAPKCS1MD5SignatureDescription : RSAManagedPKCS1SignatureDescription
    {
        /// <summary>
        /// Creates a new instance.
        /// </summary>
        public RSAPKCS1MD5SignatureDescription()
            : base("System.Security.Cryptography.MD5")
        {
            base._hashAlgorithm = "MD5";
        }
    }
}
