using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.Cryptography
{
    /// <summary>
    /// Signature Description class for the RIPEMD160-Hashalgorithm, which will call the RSAManaged class.
    /// </summary>
    public class RSAPKCS1RIPEMD160SignatureDescription : RSAManagedPKCS1SignatureDescription
    {
        /// <summary>
        /// Creates a new instance.
        /// </summary>
        public RSAPKCS1RIPEMD160SignatureDescription()
            : base("System.Security.Cryptography.RIPEMD160Managed")
        {
            base._hashAlgorithm = "RIPEMD160";
        }
    }
}
