using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.Cryptography
{
    /// <summary>
    /// Signature Description class for the SHA384-Hashalgorithm, which will call the RSAManaged class.
    /// </summary>
    public class RSAPKCS1SHA384SignatureDescription : RSAManagedPKCS1SignatureDescription
    {
        /// <summary>
        /// Creates a new instance.
        /// </summary>
        public RSAPKCS1SHA384SignatureDescription()
            : base("System.Security.Cryptography.SHA384Managed")
        {
            base._hashAlgorithm = "SHA384";
        }
    }
}
