using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.Cryptography
{
    /// <summary>
    /// Signature Description class for the SHA512-Hashalgorithm, which will call the RSAManaged class.
    /// </summary>
    public class RSAPKCS1SHA512SignatureDescription : RSAManagedPKCS1SignatureDescription
    {
        /// <summary>
        /// Creates a new instance.
        /// </summary>
        public RSAPKCS1SHA512SignatureDescription()
            : base("System.Security.Cryptography.SHA512Managed")
        {
            base._hashAlgorithm = "SHA512";
        }
    }
}
